0

Question is, which version of @pnp/spfx-controls-react can I use with React 15.6.2 ? Is that version of React supported?

I tried with 2.9.0 but when I try to render eg. TaxonomyPicker component, I get following error:

'TaxonomyPicker' cannot be used as a JSX component. Its instance type 'TaxonomyPicker' is not a valid JSX element. Types of property 'refs' are incompatible.

I need package to include taxonomy picker (for managed metadata field) that works with React v15.6.2

1 Answer 1

1

According to the documented SPFx development environment compatibility, SPFx v1.6 was the last version that was compatible with React 15. Based on the documented Library Versions for the React PnP Controls, that would mean you would need to use v1 of the library.

enter image description here

enter image description here

1
  • Thanks. Does this mean that these controls would only work with Sharepoint On Prem and not on Sharepoint Online, if I use v1?
    – private7
    Commented Mar 29, 2023 at 20:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.